version: '3'
services:
  jupyter:
    image: jupyter/scipy-notebook:latest
    container_name: ${CONTAINER_NAME}
    restart: always
    ports:
      - "${PANEL_APP_PORT_HTTP}:8888"
    networks:
      - 1panel-network
    volumes:
      - ./data:/home/jovyan/work
    environment:
      - NB_UID=1000
      - NB_GID=100
      - CHOWN_HOME=yes
      - CHOWN_HOME_OPTS='-R'
      - JUPYTER_ENABLE_LAB=yes
      - JUPYTER_TOKEN=${JUPYTER_TOKEN}
    command: start-notebook.sh --NotebookApp.custom_display_url=http://localhost:8888
    labels:
      createdBy: "Apps"
networks:
  1panel-network:
    external: true
